<cfcomponent displayname="ProductGateway">

<cffunction name="init" access="public" returntype="any">
	<cfargument name="Transfer" type="any" required="yes" />
	<cfset variables.Transfer = arguments.Transfer />
	<cfreturn this />
</cffunction>

<cffunction name="getProduct" access="Public" returntype="any">
	<cfargument name="ProductId" type="any" required="yes" />
	<cfif Val(arguments.ProductId) EQ 0>
		<cfset objProduct = variables.Transfer.new("product.Product") />
	<cfelse>
		<cfset objProduct = 
			variables.Transfer.get("product.Product",arguments.ProductId) />
	</cfif>
	<cfreturn objProduct />
</cffunction>

<cffunction name="saveProduct" access="public" returntype="void">
	<cfargument name="objProduct" type="any" required="true" />
	<cfset variables.Transfer.save(arguments.objProduct) />
</cffunction>

</cfcomponent>

