<cfcomponent displayname="Product">

<cffunction name="populate" access="public" returntype="any">
	<cfargument name="data" type="any" required="yes" />
	<cfargument name="Errors" type="any" required="yes" />
	
	<cfloop collection="#arguments.data#" item="datum">
		<cfif StructKeyExists(this, "set#datum#")>
			<cftry>
				<cfinvoke component="#this#" method="set#datum#">
					<cfinvokeargument 
						name="#datum#" 
						value="#arguments.data[datum]#" />
				</cfinvoke>
				<cfcatch type="any">
					<cfset ArrayAppend(arguments.Errors,
						"There was a problem setting the #datum#!") />
				</cfcatch>
			</cftry>
		</cfif>
	</cfloop>
	
	<cfreturn arguments.Errors />
</cffunction>

<cffunction name="validate" access="public" returntype="any">
	<cfargument name="Errors" type="any" required="yes" />
	
	<!--- Product must have a name --->
	<cfif Len(getProductName()) EQ 0>
		<cfset ArrayAppend(arguments.Errors,
			"The Product Name must not be blank!") />
	</cfif>

	<cfreturn arguments.Errors />
</cffunction>

</cfcomponent>
