<cfcomponent displayname="AbstractGateway">

<cffunction name="init" access="public" returntype="any">
	<!--- Old --->
	<cfargument name="Transfer" type="any" required="yes" />
	<cfset variables.Transfer = arguments.Transfer />
	<!--- Old and New --->
	<cfset configure() />
	<cfreturn this />
</cffunction>

<cffunction name="configure" access="private" returntype="void">
	<!--- Old --->
	<cfset variables.TransferClassName = "The transfer class name" />
	<!--- New --->
	<cfset variables.PathToCFC = "path.to.cfc for the domain class" />
	<cfset variables.entityName = "The entity name" />
</cffunction>

<cffunction name="get" access="Public" returntype="any">
	<cfargument name="theId" type="any" required="yes" />
	<cfif Val(arguments.theId) EQ 0>
		<!--- Old --->
		<cfset theObject = 
			variables.Transfer.new(variables.TransferClassName) />
		<!--- New --->
		<cfset theObject = 
			createObject("component",variables.PathToCFC).init() />
	<cfelse>
		<!--- Old --->
		<cfset theObject = 
			variables.Transfer.get(
				variables.TransferClassName,
				arguments.theId
			) />
		<!--- New --->
		<cfset theObject = 
			entityLoad(variables.entityName,arguments.theId,true) />
	</cfif>
	<cfreturn theObject />
</cffunction>

<cffunction name="save" access="public" returntype="void">
	<cfargument name="theObject" type="any" required="true" />
	<!--- Old --->
	<cfset variables.Transfer.save(arguments.theObject) />
	<!--- New --->
	<cfset entitySave(arguments.theObject) />
</cffunction>

</cfcomponent>

