<cfcomponent displayname="ReviewGateway">

<cffunction name="init" access="public" returntype="any">
	<cfargument name="Transfer" type="any" required="yes" />
	<cfset variables.Transfer = arguments.Transfer />
	<cfreturn this />
</cffunction>

<cffunction name="getReview" access="Public" returntype="any">
	<cfargument name="ReviewId" type="any" required="yes" />
	<cfif Val(arguments.ReviewId) EQ 0>
		<cfset objReview = variables.Transfer.new("product.Review") />
	<cfelse>
		<cfset objReview = 
			variables.Transfer.get("product.Review",arguments.ReviewId) />
	</cfif>
	<cfreturn objReview />
</cffunction>

<cffunction name="saveReview" access="public" returntype="void">
	<cfargument name="objReview" type="any" required="true" />
	<cfset variables.Transfer.save(arguments.objReview) />
</cffunction>

</cfcomponent>

