<cfcomponent displayname="AbstractGateway">

<cffunction name="init" access="public" returntype="any">
	<cfargument name="Transfer" type="any" required="yes" />
	<cfset variables.Transfer = arguments.Transfer />
	<cfset configure() />
	<cfreturn this />
</cffunction>

<cffunction name="configure" access="private" returntype="void">
	<cfset variables.TransferClassName = "The transfer class name" />
</cffunction>

<cffunction name="get" access="Public" returntype="any">
	<cfargument name="theId" type="any" required="yes" />
	<cfif Val(arguments.theId) EQ 0>
		<cfset theObject = 
			variables.Transfer.new(variables.TransferClassName) />
	<cfelse>
		<cfset theObject = 
			variables.Transfer.get(
				variables.TransferClassName,
				arguments.theId
			) />
	</cfif>
	<cfreturn theObject />
</cffunction>

<cffunction name="save" access="public" returntype="void">
	<cfargument name="theObject" type="any" required="true" />
	<cfset variables.Transfer.save(arguments.theObject) />
</cffunction>

</cfcomponent>

